using Newtonsoft.Json.Linq;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ProductionControl
{
    public partial class Form3 : Form
    {
        public Form3()
        {
            InitializeComponent();
        }

        private void Form3_Load(object sender, EventArgs e)
        {

        }

        private void button1_Click(object sender, EventArgs e)
        {
            JObject obj0 = new JObject()
            {
                { "start", 1 },
                { "start2", 2 },
            };
            JObject obj = new JObject();
            obj.Add("0", obj0);
            obj.Add("2", obj0);
            foreach (var processParamSub in obj.Properties())
            {
                JObject cc = processParamSub.Value as JObject;
                int vv = cc.Value<int>("start");
            }
        }
    }
}
